## vlc-0.8.5.tar.gz

=== extras/contrib/Makefile ===
# ***************************************************************************
# Makefile : Build vlc-contrib files
# ***************************************************************************
# Copyright (C) 2003-2006 the VideoLAN team
# $Id: Makefile 14760 2006-03-14 21:52:53Z xtophe $
# 
# Authors: Christophe Massiot <massiot@via.ecp.fr>
#          Derk-Jan Hartman <hartman at videolan dot org>
#          Christophe Mutricy <xtophe at videolan dot org>
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or    
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston MA 02110-1301, USA.
# ***************************************************************************

include ./config.mak

BUILDDIRS = bin doc etc include info lib man sbin share vlc-lib tmp

all: FORCE
#	@echo "Do you mean to make src or make bin ?"
	@echo "    'make bin' isn't functional at the moment,"
	@echo "    running 'make src' instead..."
	$(MAKE) src

src: FORCE
	$(MAKE) -C src all

contrib-macosx.tar.bz2: FORCE
	$(WGET) $(CONTRIB_URL)

bin: FORCE
	@echo "make bin isn't in a functional state at this moment. Please use make src"

#The disabled make bin
#bin: contrib-macosx.tar.bz2
#	@if test -d tmp; then \
#		echo "Move away ./tmp, it's in the way" ; \
#		exit 1 ; \
#	fi
#	mkdir tmp
#	bunzip2 -c $< | (cd tmp; tar xf -)
#	./change_prefix.sh tmp @@CONTRIB_PREFIX@@ $(PREFIX)
#	(cd tmp; tar cf - .) | tar xf -
#	rm -rf tmp
#	ranlib lib/*\.a

clean-src: FORCE
	rm -rf $(BUILDDIRS)
	$(MAKE) -C src clean-src

clean-bin: FORCE
	rm -rf $(BUILDDIRS)
	$(MAKE) -C src clean-dots

clean: FORCE
#	@echo "    Do you mean to clean-src or clean-bin ?"
	@echo "    'make bin' isn't available at the moment"
	@echo "    you probably wanna run 'make clean-src' then"
	@echo "    you can still run 'make clean-bin' manually if needed"
	$(MAKE) clean-src

package-macosx: FORCE
	@if test -d tmp; then \
		echo "Move away ./tmp, it's in the way" ; \
		exit 1 ; \
	fi
	mkdir tmp
	tar cf - bin sbin include lib vlc-lib share/aclocal* share/autoconf* \
		share/automake* share/gettext* \
		| (cd tmp; tar xf -)
	./change_prefix.sh tmp $(PREFIX) @@CONTRIB_PREFIX@@
	(cd tmp; tar cf - .) | bzip2 -c > contrib-macosx.tar.bz2
	rm -rf tmp

package-win32: FORCE
	@if test -d tmp; then \
		echo "Move away ./tmp, it's in the way" ; \
		exit 1 ; \
	fi
	mkdir -p tmp/usr/win32
	tar cf - --dereference bin sbin include lib share/aclocal*\
		share/autoconf* \
		share/automake* share/gettext* gecko-sdk\
		| (cd tmp/usr/win32; tar xpf -)
#kludge for live.com
	mkdir -p tmp/usr/win32/live.com
	for i in groupsock liveMedia UsageEnvironment BasicUsageEnvironment; do \
		mkdir -p  tmp/usr/win32/live.com/$$i/include; \
		cp -r src/live/$$i/include tmp/usr/win32/live.com/$$i; \
		cp src/live/$$i/lib$${i}.a  tmp/usr/win32/live.com/$$i; \
	done;
	./change_prefix.sh tmp $(PREFIX) /usr/win32
#	Klugy kludge	
	(cd tmp/usr/win32/bin; rm -f *.exe; chmod a+x *)
	(cd tmp; tar cf - usr/win32/) | bzip2 -c > contrib-`date +%Y%m%d`-win32-bin-gcc-`$(CC) --version|head -n 1|cut -f 3 -d ' '`-only.tar.bz2
	rm -rf tmp
FORCE:

=== extras/contrib/src/Makefile ===
# ***************************************************************************
# src/Makefile : Dearchive and compile all files necessary
# ***************************************************************************
# Copyright (C) 2003 - 2006 the VideoLAN team
# $Id: Makefile 15311 2006-04-22 22:05:16Z fkuehne $
#
# Authors: Christophe Massiot <massiot@via.ecp.fr>
#          Derk-Jan Hartman <hartman at videolan dot org>
#          Eric Petit <titer@m0k.org>
#          Felix Kühne <fkuehne@users.sourceforge.net>
#          Christophe Mutricy <xtophe@nxtelevision.com>
#          Gildas Bazin <gbazin at videolan dot org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston MA 02110-1301, USA.
# ***************************************************************************

include ../config.mak
include ./packages.mak

# ***************************************************************************
# Set a clean environment
# ***************************************************************************

export PATH := $(PREFIX)/bin:$(EXTRA_PATH):$(PATH)
export PKG_CONFIG_PATH
export DYLD_LIBRARY_PATH = $(PREFIX)/lib
# following is required for configure scripts that check dyld libraries
# by building and running a test app 
export DYLD_LIBRARY_PATH := $(DYLD_LIBRARY_PATH):$(PREFIX)/vlc-lib
export MACOSX_DEPLOYMENT_TARGET = $(SDK_TARGET)
export LIBRARY_PATH := $(PREFIX)/lib:$(LIBRARY_PATH)
export CFLAGS = -I$(PREFIX)/include $(EXTRA_CFLAGS) $(EXTRA_CPPFLAGS)
export CPPFLAGS = -I$(PREFIX)/include $(EXTRA_CFLAGS) $(EXTRA_CPPFLAGS)
export CXXFLAGS = -I$(PREFIX)/include $(EXTRA_CFLAGS) $(EXTRA_CPPFLAGS)
export LDFLAGS = -L$(PREFIX)/lib $(EXTRA_LDFLAGS)

# ***************************************************************************
# Cross compilation variables
# We'll usually use --host=<platform>, except for a few libraries which
# don't handle it (gotta set CC/CXX/etc), and obviously FFmpeg has its own
# way of doing it... ;)
# ***************************************************************************

ifneq ($(CC),)
HOSTCC+= CC="$(CC)"
endif
ifneq ($(CXX),)
HOSTCC+= CXX="$(CXX)"
endif
ifneq ($(LD),)
HOSTCC+= LD="$(LD)"
endif
ifneq ($(RANLIB),)
HOSTCC+= RANLIB="$(RANLIB)"
endif
ifneq ($(AR),)
HOSTCC+= AR="$(AR)"
endif

# Define ranlib on non-cross compilation setups
ifeq ($(RANLIB),)
RANLIB=ranlib
endif

# For libebml/libmatroska. Grrr.
ifneq ($(AR),)
HOSTCC2=$(HOSTCC) AR="$(AR) rcvu"
else
HOSTCC2=$(HOSTCC)
endif

ifneq ($(BUILD),$(HOST))
# We are cross compiling
HOSTCONF=--host=$(HOST) --build=$(BUILD)
FFMPEGCONF=--cross-prefix=$(HOST)-
X264CONF=--crosscompile=$(HOST)
else
   ifneq ($(CC),)
      FFMPEGCONF=--cc="$(CC)"
   endif
endif

#
# Special target-dependant options
#
ifdef HAVE_WIN32
HOSTCONF+= --without-pic --disable-shared --enable-msw --with-included-opencdk --with-included-libtasn1 --disable-dependency-tracking
FFMPEGCONF+= --enable-mingw32 --enable-memalign-hack --cpu=x86 --disable-debug
endif

ifdef HAVE_WINCE
HOSTCONF+= --without-pic --disable-shared
FFMPEGCONF+= --enable-mingwce --cpu=armv4l --disable-debug --disable-encoders --disable-muxers --disable-mpegaudio-hp --disable-decoder=snow --disable-decoder=vc9 --disable-decoder=wmv3 --disable-decoder=vorbis --disable-decoder=dvdsub --disable-decoder=dvbsub --disable-protocols
else
FFMPEGCONF+= --enable-mp3lame --enable-faac
endif

ifdef HAVE_BEOS
FFMPEGCONF+= --cpu=x86
endif

ifeq ($(HOST),i686-apple-darwin8)
FFMPEGCONF += --enable-memalign-hack
X264CONF += --enable-pic
endif

# ***************************************************************************
# Standard rules
# ***************************************************************************

ifdef HAVE_DARWIN_OS
 all: .autoconf .automake .libtool .intl .pkgcfg .freetype .fribidi \
	.a52 .mpeg2 .id3tag .mad .ogg .vorbis .vorbisenc .theora \
	.FLAC .speex .shout .faad .faac .lame .twolame .ebml .matroska .ffmpeg \
	.dvdcss .dvdnav .dvdread .dvbpsi .live .x264 .caca .mod \
	.png .gpg-error .gcrypt .gnutls .opendaap .cddb .cdio .vcdimager .SDL_image \
	.glib .libidl .gecko .mpcdec .dirac_encoder .dirac_decoder .aclocal \
        .libdca
# .expat .clinkcc don't work with SDK yet
# .glib .libidl .gecko are required to build the mozilla plugin
# .mozilla will build an entire mozilla. it can be used if we need to create a new .gecko package
ifneq ($(HOST),i686-apple-darwin8)
all: .goom2k4
endif
else

 ifdef HAVE_BEOS
  ifeq ($(HOST),$(BUILD))
# Native build: we need perl, autoconf, etc first
   all: .perl .autoconf .automake .libtool .iconv .intl .freetype .fribidi \
	.a52 .mpeg2 .id3tag .mad .ogg .vorbis .vorbisenc .theora \
	.FLAC .speex .faad .faac .lame .ebml .matroska .ffmpeg .dvdcss \
	.dvdnav .dvbpsi .aclocal .libdca
  else
# Cross compiling: we already have the Linux tools, only build the
# libraries now
   all: .iconv .intl .freetype .fribidi \
	.a52 .mpeg2 .id3tag .mad .ogg .vorbis .vorbisenc .theora \
	.FLAC .speex .faad .faac .lame .twolame .ebml .matroska .ffmpeg .dvdcss \
	.dvdnav .dvbpsi .aclocal .libdca
  endif
 else

  ifdef HAVE_WIN32

   all: .iconv .intl .freetype .fribidi .zlib \
	.a52 .mpeg2 .id3tag .mad .ogg .vorbis .shout .vorbisenc .theora \
	.FLAC .speex .faad .faac .lame .ebml  .matroska .ffmpeg .dvdcss \
	.live .goom2k4 .caca .mod .x264  .xml .twolame \
	.png .gpg-error .gcrypt .gnutls .mpcdec \
	.gnutls .dvdnav .dvbpsi .wxwidgets .dirac \
	.dx_headers .dshow_headers .aclocal .gecko-win32 .unicows .libdca
#	.SDL_image  .daap .cddb .cdio .vcdimager .portaudio 
  else

   ifdef HAVE_WINCE

   all: .dvbpsi .zlib .ffmpeg .ogg .tremor .faad
   else

# Standard Linux or other UNIX-like systems
   all: .iconv .intl .freetype .fribidi .zlib \
	.a52 .mpeg2 .id3tag .mad .ogg .vorbis .vorbisenc .theora \
	.FLAC .speex .faad .faac .lame .ebml .matroska .ffmpeg .dvdcss \
	.live .goom2k4 .caca .mod .x264  .xml .twolame\
	.png .gpg-error .gcrypt .gnutls .mpcdec\
	.gnutls .dvdnav .dvbpsi .wxwidgets .dirac \
	.aclocal .libdca
#	.SDL_image  .daap .cddb .cdio .vcdimager 
   endif
  endif
 endif
endif

FORCE:

# ***************************************************************************
# Useful macros
# ***************************************************************************

define EXTRACT_GZ
	tar xzf $<
	mv $(patsubst %.tar.gz,%,$(patsubst %.tgz,%,$(notdir $<))) $@ || true
	touch $@
endef

define EXTRACT_BZ2
	bunzip2 -c $< | tar xf -
	mv $(patsubst %.tar.bz2,%,$(notdir $<)) $@ || true
	touch $@
endef

### Darwin-specific ###
# These macros prepare the dynamic libraries for inclusion in the Mac OS X
# bundle. For instance if you're building a library named libtoto.dylib,
# which depends on the contrib library libtata.dylib, you should have the
# following entry :
# .toto: toto_directory .tata
#	cd $< ; ./configure --prefix=$(PREFIX)
#	$(MAKE) -C $<
#	$(MAKE) -C $< install
#	$(INSTALL_NAME)
#	touch $@

ifdef HAVE_DARWIN_OS
# the original libtoto.dylib is copied from contrib/lib to vlc-lib as
# vlc_libtoto.dylib. a soft link to this library is created in contrib/lib
# using the orginal dylib name. if libtoto.la also exists, the library named
# in dlname is also changed to a soft-link to vlc-lib in order to support
# libtool. to satisfy VLC.app dyld search, vlc_libtoto.dylib dyld id is changed
# to @executable_path/lib/vlc_libtoto.dylib 

define INSTALL_NAME
	if which install_name_tool >/dev/null; then \
		mkdir -p $(PREFIX)/vlc-lib ; \
		libname='lib$(patsubst .%,%,$@)' ; \
		dlname="$$libname.dylib" ; \
		cp $(PREFIX)/lib/$$dlname \
			$(PREFIX)/vlc-lib/vlc_$$dlname ; \
		rm $(PREFIX)/lib/$$dlname ; \
		ln -s $(PREFIX)/vlc-lib/vlc_$$dlname \
			$(PREFIX)/lib/$$dlname ; \
		if [ -f $(PREFIX)/lib/$$libname.la ]; then \
			eval ltname=`sed -n 's/dlname=//p' $(PREFIX)/lib/$$libname.la`; \
			rm $(PREFIX)/lib/$$ltname ; \
			ln -s $(PREFIX)/vlc-lib/vlc_$$dlname \
				$(PREFIX)/lib/$$ltname ; \
		fi ; \
		install_name_tool \
			-id @executable_path/lib/vlc_$$dlname \
			$(PREFIX)/vlc-lib/vlc_$$dlname ; \
	fi
endef

endif

ifeq ($(HOST),i586-pc-beos)
# We test if the file actually exists, as sometimes (but not always)
# libtool won't accept to build the shared library
define INSTALL_NAME
	if test -f $(PREFIX)/lib/lib$(patsubst .%,%,$@).so ; then \
		mkdir -p $(PREFIX)/vlc-lib ; \
		cp $(PREFIX)/lib/lib$(patsubst .%,%,$@).so \
		  $(PREFIX)/vlc-lib/ ; \
	fi
endef
endif

# ***************************************************************************
# perl
# ***************************************************************************

ifeq ($(BUILD),i586-pc-beos)
perl-$(PERL_VERSION).tar.gz:
	$(WGET) $(PERL_URL)

perl: perl-$(PERL_VERSION).tar.gz
	$(EXTRACT_GZ)
	sed -i.orig 's%prefix="/boot/home/config"%prefix="$(PREFIX)"%'  perl/hints/beos.sh

.perl: perl
	(cd $<; ./Configure -d -e && make && make install && ln -sf perl5/$(PERL_VERSION)/BePC-beos/CORE/libperl.so $(PREFIX)/lib/libperl.so)
	touch $@

CLEAN_FILE += .perl
CLEAN_PKG += perl
DISTCLEAN_PKG += perl-$(PERL_VERSION).tar.gz
endif

# ***************************************************************************
# autoconf
# ***************************************************************************

autoconf-$(AUTOCONF_VERSION).tar.gz:
	$(WGET) $(AUTOCONF_URL)

autoconf: autoconf-$(AUTOCONF_VERSION).tar.gz
	$(EXTRACT_GZ)

.autoconf: autoconf
	(cd $<; ./configure --prefix=$(PREFIX) && make && make install)
	touch $@

CLEAN_FILE += .autoconf
CLEAN_PKG += autoconf
DISTCLEAN_PKG += autoconf-$(AUTOCONF_VERSION).tar.gz

# ***************************************************************************
# libtool
# ***************************************************************************

ifdef HAVE_DARWIN_OS
.libtool:
	if test -x /usr/bin/glibtoolize; then \
		mkdir -p $(PREFIX)/bin ; \
		ln -sf /usr/bin/glibtoolize $(PREFIX)/bin/libtoolize ; \
	fi
	if test -f /usr/share/aclocal/libtool.m4; then \
		mkdir -p $(PREFIX)/share/aclocal ; \
		ln -sf /usr/share/aclocal/libtool.m4 $(PREFIX)/share/aclocal ; \
	fi
	touch $@
endif

ifeq ($(BUILD),i586-pc-beos)
libtool-$(LIBTOOL_VERSION).tar.gz:
	$(WGET) $(LIBTOOL_URL)

libtool: libtool-$(LIBTOOL_VERSION).tar.gz
	$(EXTRACT_GZ)

.libtool: libtool
	(cd $<; ./configure --prefix=$(PREFIX) && make && make install)
	touch $@

CLEAN_PKG += libtool
DISTCLEAN_PKG += libtool-$(LIBTOOL_VERSION).tar.gz
endif

CLEAN_FILE += .libtool

# ***************************************************************************
# automake
# ***************************************************************************

automake-$(AUTOMAKE_VERSION).tar.gz:
	$(WGET) $(AUTOMAKE_URL)

automake: automake-$(AUTOMAKE_VERSION).tar.gz
	$(EXTRACT_GZ)

.automake: automake
	(cd $<; ./configure --prefix=$(PREFIX) && make && make install)
	touch $@

CLEAN_FILE += .automake
CLEAN_PKG += automake
DISTCLEAN_PKG += automake-$(AUTOMAKE_VERSION).tar.gz

# ***************************************************************************
# pkgconfig
# ***************************************************************************

pkgconfig-$(PKGCFG_VERSION).tar.gz:
	$(WGET) $(PKGCFG_URL)

pkgconfig: pkgconfig-$(PKGCFG_VERSION).tar.gz
	$(EXTRACT_GZ)
	patch -d pkgconfig/glib-1.2.8 -p 1 < Patches/glib.patch

.pkgcfg: pkgconfig
	(cd pkgconfig; ./configure --prefix=$(PREFIX) --disable-shared --enable-static && make && make install)
	touch $@

CLEAN_FILE += .pkgcfg
CLEAN_PKG += pkgconfig

=== debian/changelog ===
vlc (0.8.4.debian-2) unstable; urgency=low

  * debian/rules:
    + Enable zeroconf/bonjour support (Closes: #348085).
    + Enable musepack decoding support.
    + Enable VCD navigation support.
  * debian/control:
    + Build-depend on more recent versions of libavcodec to fix CVE-2005-4048.
    + Build-depend on libhal-dev (>= 0.5.5.1-3) for the dbus transition.
    + Build-depend on libavahi-client-dev.
    + Build-depend on libmpcdec-dev.
    + Build-depend on libsysfs-dev so that the MP4 module can get an iPod’s
      version number.
    + Build-depend on libvcdinfo-dev.
  * debian/vlc.mime:
    + Put flags after the command, as per mailcap(5) (Closes: #340434).

  * src/libvlc.c configure.ac modules/services_discovery/hal.c:
    + Backported HAL 0.5 patch from upstream, thanks to Clément Stenac and
      Loïc Minier. As a result, we now build and install again on unstable
      (Closes: #332927, #347598, #347847).
  * extras/x264/configure:
    + Support the armv5tel platform.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 22 Jan 2006 12:08:42 +0100

vlc (0.8.4.debian-1) unstable; urgency=low

  * New upstream release.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat, 26 Nov 2005 19:55:09 +0100

vlc (0.8.4-test2-2) unstable; urgency=low

  * extras/x264/configure:
    + Teach the configure script about the Alpha platform.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 11 Nov 2005 18:49:31 +0100

vlc (0.8.4-test2-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Build-depend on a newer version of gnutls (Closes: #335774).
    + Replaced occurrences of "wxwindows" with "wxwidgets" (Closes: #330141).
  * debian/rules:
    + Use dh_buildinfo because of all the static libraries we use.
  * Upstream fixed the wx code so that it builds with newer versions of the
    library (Closes: #332282, #332773).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 11 Nov 2005 10:41:35 +0100

vlc (0.8.4-svn20050920-3) unstable; urgency=low

  * configure.ac:
    + Fixed a bug in the gnomevfs plugin configuration.
  * debian/rules:
    + Explicitly disable the GnomeVFS plugin (Closes: #329317).
  * debian/control:
    + Buuild-depend on yasm on amd64.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 21 Sep 2005 11:36:24 +0200

vlc (0.8.4-svn20050920-2) unstable; urgency=low

  * configure:
    + Fixed the powerpc build with gcc-4.x.
  * extras/x264/configure:
    + Added missing Debian architectures to the configure script.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 20 Sep 2005 17:46:35 +0200

vlc (0.8.4-svn20050920-1) unstable; urgency=low

  * New SVN snapshot.
  * configure.ac:
    + Upstream fixed the AltiVec build on PPC.
  * debian/control:
    + Build-depend on a newer version of libavcodec. mp2v and mp1v encoders
      work again (Closes: #324840).
    + Build-depend on gcc-snapshot on i386 and amd64, because currently only
      that version of gcc properly builds some of the MMX modules.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 20 Sep 2005 13:43:41 +0200

vlc (0.8.4-svn20050823-2) unstable; urgency=low

  * debian/control:
    + Build-depend on libflac-dev (>= 1.1.2-3) because of the soname
      change (Closes: #325948).
  * debian/copyright:
    + Fixed the FSF address.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu,  1 Sep 2005 12:36:10 +0200

vlc (0.8.4-svn20050823-1) unstable; urgency=low

  * New SVN snapshot.
  * debian/control:
    + Build-depend on libsmbclient-dev.
    + Build-depend on libwxgtk2.6-dev (Closes: #285373), which means the
      interface now works with non-UTF8 locales (Closes: #308770, #322665).
    + Build-depend on a newer version of libavcodec.
  * debian/rules:
    + Activated SMB client support.
    + Install desktop files in usr/share/applications instead of
      usr/share/gnome/apps/Multimedia.
  * debian/patches/00list:
    + 20_no-wx-updates.dpatch: disabled the update check.
    + 20_interfaces.dpatch: disabled deprecated patch.
  * configure.ac:
    + Fixes powerpc build.
  * include/network.h src/misc/net.c:
    + Fixes HTTP input (Closes: #322757).
    + Fixes URL encoding in the RTSP module (Closes: #323813).
  * modules/gui/skins2 modules/gui/wxwidgets:
    + Fixes a compilation issue on 64-bit architectures (Closes: #324031).
  * modules/visualization/xosd.c:
    + Fixes libxosd initialisation (Closes: #324039).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 22 Aug 2005 14:43:48 +0200

vlc (0.8.4-svn20050810-2) unstable; urgency=low

  * debian/control:
    + Build-depend on libarts1-dev (>= 1.4.2-1).
    + Build-depend on a newer version of libavcodec.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 16 Aug 2005 17:36:21 +0200

vlc (0.8.4-svn20050810-1) unstable; urgency=low

  * New SVN snapshot.
  * Rebuilt against libaa1 and new wxWin and SDL packages to complete the
    aalib transition (Closes: #320874) and make the packages installable again
    (Closes: #319292, #319598, #321461, #322166, #317380).
  * debian/rules:
    + Use DEB_BUILD_ARCH_CPU instead of DEB_BUILD_GNU_CPU.
  * debian/vlc.desktop:
    + Added desktop file, thanks to Mantas Kriauciunas (Closes: #290612).
  * debian/control:
    + Removed unused dummy packages (Closes: #321988, #322003, #322013).
    + Build-depend on libmatroska-dev (>= 0.7.7).
    + Build-depend on libwxgtk2.4-dev (>= 2.4.4).
    + Build-depend on libdvbpsi4-dev instead of libdvbpsi3-dev.
    * Build-depend on libsdl1.2-dev (>= 1.2.7+1.2.8cvs20041007-5.3).
    + Build-depend on a newer version of libmatroska-dev and mozilla-dev
      because of the C++ transition.
    + Build-depend on libsvga1-dev instead of svgalib1-dev.
  * This snapshot no longer uses tune=opteron on amd64 (Closes: #316161).
  * The SVN version adds support for Freebox users (Closes: #317035).
  * Various gcc-4.x FTBFS were fixed upstream (Closes: #317055).


=== debian/control ===
Source: vlc
Section: graphics
Priority: optional
Maintainer: Sam Hocevar (Debian packages) <sam+deb@zoy.org>
Build-Depends: debhelper (>= 4.0), dh-buildinfo, dpatch, gcc-snapshot [i386 amd64], nasm, yasm [amd64], gettext, linux-kernel-headers (>= 2.5.999-test7-bk-7), mozilla-dev (>= 2:1.7.10-1), xlibmesa-gl-dev, xlibs-static-pic, liba52-0.7.4-dev, libaa1-dev, libarts1-dev (>= 1.4.2-1), libasound2-dev (>= 0.9.0beta10a), libaudiofile-dev, libavahi-client-dev, libavcodec-dev (>= 0.cvs20050918-2), libavformat-dev (>= 0.cvs20050918-2), libcaca-dev (>= 0.9), libcdio-dev, libdvbpsi4-dev, libdvdnav-dev, libdvdread3-dev, libdts-dev, libesd0-dev, libflac-dev (>= 1.1.2-3), libfreetype6-dev, libfribidi-dev, libggi2-dev, libglib2.0-0, libglide2-dev [i386], libgnutls-dev (>= 1.2.8), libhal-dev (>= 0.5.5.1-3), libid3tag0-dev, libidl0, libimlib2-dev, liblircclient-dev, liblivemedia-dev (>= 2004.11.11a-1), libmad0-dev, libmatroska-dev (>= 0.7.7), libmodplug-dev, libmpcdec-dev, libmpeg2-4-dev, libncurses5-dev, libogg-dev, libpostproc-dev (>= 0.cvs20050918-2), libpng12-dev, libsdl1.2-dev (>= 1.2.7+1.2.8cvs20041007-5.3), libsmbclient-dev, libsvga1-dev [i386], libsysfs-dev, libtar-dev, libtheora-dev, libvcdinfo-dev, libvorbis-dev, libwxgtk2.6-dev, libx11-dev, libxext-dev, libxml2-dev, libxosd-dev (>= 2.2.4-1.3), libxt-dev, libxv-dev, zlib1g-dev
Standards-Version: 3.6.2.1

Package: vlc
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, wxvlc, ttf-freefont
Recommends: ttf-thryomanes, videolan-doc
Suggests: vlc-plugin-alsa, mozilla-plugin-vlc
Replaces: vlc-plugin-dvb (<< 0.5.2-2), vlc-plugin-xosd (<< 0.5.2-2), vlc-plugin-dv (<< 0.5.2-2), vlc-plugin-mad (<< 0.5.2-2), vlc-mad (<< 0.5.0), vlc-plugin-a52 (<< 0.5.2-2), vlc-plugin-ogg (<< 0.5.2-2), vlc-plugin-lirc (<< 0.5.2-2), vlc-lirc (<< 0.5.0), vlc-plugin-aa (<< 0.5.2-2), vlc-aa (<< 0.5.0)
Conflicts: vlc-plugin-dvb (<< 0.5.2-2), vlc-plugin-xosd (<< 0.5.2-2), vlc-plugin-dv (<< 0.5.2-2), vlc-plugin-mad (<< 0.5.2-2), vlc-mad (<< 0.5.0), vlc-plugin-a52 (<< 0.5.2-2), vlc-plugin-ogg (<< 0.5.2-2), vlc-plugin-lirc (<< 0.5.2-2), vlc-lirc (<< 0.5.0), vlc-plugin-aa (<< 0.5.2-2), vlc-aa (<< 0.5.0)
Provides: mp3-decoder
Description: multimedia player for all audio and video formats
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.
 .
 VLC can also be used as a streaming server that duplicates the stream it
 reads and multicasts them through the network to other clients, or serves
 them through HTTP.
 .
 VLC has support for on-the-fly transcoding of audio and video formats, either
 for broadcasting purposes or for movie format transformations. Support for
 most output methods is provided by this package, but features can be added
 by installing additional audio plugins (vlc-plugin-esd, vlc-plugin-alsa,
 vlc-plugin-arts) or video plugins (vlc-plugin-sdl, vlc-plugin-ggi,
 vlc-plugin-glide, vlc-plugin-svgalib). There is also a web browser plugin
 in the mozilla-plugin-vlc package.

Package: libvlc0-dev
Section: libdevel
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
Description: development files for VLC
 This package contains headers and a static library required to build plugins
 for VLC, or standalone applications that use VLC features.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: gnome-vlc
Section: oldlibs
Architecture: any
Depends: wxvlc, vlc (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: vlc-gnome (<< 0.5.0)
Replaces: vlc-gnome (<< 0.5.0)
Description: GNOME frontend for VLC (dummy legacy package)
 The gnome-vlc package has been discontinued. You should use the wxvlc
 package instead.
 .
 This package is only useful to ensure clean upgrades from old Debian
 releases and can be safely removed.

Package: gvlc
Section: oldlibs
Architecture: any
Depends: wxvlc, vlc (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: vlc-gnome (<= 0.2.63-2), vlc-gtk (<< 0.5.0)
Replaces: vlc-gnome (<= 0.2.63-2), vlc-gtk (<< 0.5.0)
Description: GTK+ frontend for VLC (dummy legacy package)
 The gvlc package has been discontinued. You should use the wxvlc
 package instead.
 .
 This package is only useful to ensure clean upgrades from old Debian
 releases and can be safely removed.

Package: vlc-plugin-esd
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: vlc-esd (<< 0.5.0)
Replaces: vlc-esd (<< 0.5.0)
Description: Esound audio output plugin for VLC
 This plugin adds support for the Enlightened Sound Daemon to the VLC
 media player. To activate it, use the `--aout esd' flag or select the
 `esd' audio output plugin from the preferences menu.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: vlc-plugin-alsa
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: vlc-alsa (<< 0.5.0)
Replaces: vlc-alsa (<< 0.5.0)
Description: ALSA audio output plugin for VLC
 This plugin adds support for the Advanced Linux Sound Architecture to
 the VLC media player. To activate it, use the `--aout alsa' flag or
 select the `alsa' audio output plugin from the preferences menu.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: vlc-plugin-sdl
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: vlc-sdl (<< 0.5.0)
Replaces: vlc-sdl (<< 0.5.0)
Description: SDL video and audio output plugin for VLC
 This plugin adds support for the Simple DirectMedia Layer library to
 the VLC media player. To activate it, use the `--vout sdl' or
 `--aout sdl' flags or select the `sdl' video or audio output plugin
 from the preferences menu.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: vlc-plugin-ggi
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: vlc-ggi (<< 0.5.0)
Replaces: vlc-ggi (<< 0.5.0)
Description: GGI video output plugin for VLC
 This is a GGI plugin for the VLC media player.  To activate it, use
 the `--vout ggi' flag or select the `ggi' video output plugin from the
 preferences menu.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: vlc-plugin-glide
Architecture: i386
Depends: vlc (= ${Source-Version}), libglide2
Conflicts: vlc-glide (<< 0.5.0)
Replaces: vlc-glide (<< 0.5.0)
Description: Glide video output plugin for VLC
 This is a Glide (3dfx) plugin for the VLC media player. To activate
 it, use the `--vout glide' flag or select the `glide' video output
 plugin from the preferences menu.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: qvlc
Section: oldlibs
Architecture: any
Depends: wxvlc, vlc (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: vlc-qt (<< 0.5.0)
Replaces: vlc-qt (<< 0.5.0)
Description: Qt frontend for VLC (dummy legacy package)
 The qvlc package has been discontinued. You should use the wxvlc
 package instead.
 .
 This package is only useful to ensure clean upgrades from old Debian
 releases and can be safely removed.

Package: vlc-plugin-arts
Architecture: any
Depends: vlc (= ${Source-Version}), libartsc0, ${misc:Depends}
Conflicts: vlc-arts (<< 0.5.0)
Replaces: vlc-arts (<< 0.5.0)
Description: aRts audio output plugin for VLC
 This plugin adds support for the aRts Sound System to the VLC media
 player. To activate it, use the `--aout arts' flag or select the `arts'
 audio output plugin from the preferences menu.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: mozilla-plugin-vlc
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: mozilla-browser | mozilla-firefox
Description: multimedia plugin for Mozilla based on VLC
 This plugin adds support for MPEG, MPEG2, DVD, DivX, Ogg/Vorbis and many
 more formats to your Mozilla browser. The decoding process is done by VLC
 and the output window is embedded in a webpage or directly in the browser
 window. There is also support for fullscreen display and javascript control.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: kvlc
Section: oldlibs
Architecture: any
Depends: wxvlc, vlc (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: vlc-plugin-arts
Conflicts: vlc-kde (<< 0.5.0)
Replaces: vlc-kde (<< 0.5.0)
Description: KDE frontend for VLC (dummy legacy package)
 The kvlc package has been discontinued. You should use the wxvlc
 package instead.
 .
 This package is only useful to ensure clean upgrades from old Debian
 releases and can be safely removed.

Package: vlc-plugin-svgalib
Architecture: i386
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
Description: SVGAlib video output plugin for VLC
 This plugin adds support for SVGAlib to the VLC media player. To
 activate it, use the `--vout svgalib' flag or select the `svgalib' video
 output plugin from the preferences menu. Note that you will need root
 permissions to use SVGAlib.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: wxvlc
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
Description: wxWidgets frontend for VLC
 This plugin adds a wxWidgets interface to the VLC media player. To activate
 the wxWidgets GUI, use the `--intf wx' flag or run the `wxvlc' program.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.
